{

    //每场战斗中，免疫首次近战伤害的90%



    "AbilityName":"Card_DailyUse_1000912",

    "AbilityStacking":"Unique",

    "DefaultModifier":

    {

        "OnAdded":

        [

            {

                "$type":"MoleMole.ApplyModifier",

                "ModifierName":"Controller"

            }

        ]

    },



    "Modifiers":

    {

        "Controller":{

            "Duration" : -1,

            "ModifierStacking": "Unique",

            "Block": -1,

            "OnAdded": 

            [

                {	

                    //给LocalAvatar添加ImmuneModifier

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"ImmuneModifier",

                    "Target" : "Self",

                    "Predicates":[

                        {

                            "$type" : "MoleMole.ByIsLocalAvatar",

                            "Target" : "Self",

                            "IsLocalAvatar" : true

                        }

                    ]

                }

            ],

            "OnSwitchInBegin": 

            [

                {	

                    //给上场角色添加

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"ImmuneModifier",

                    "Target" : "Self"

                }

            ],

            "OnSwitchOutFinish": 

            [

                {

                    //下场移除

                    "$type": "MoleMole.RemoveModifier",

                    "ModifierName": "ImmuneModifier",

                    "Target": "Self"

                }

            ]

        },

        "ImmuneModifier":

		{

			"Duration" : -1,

            "Block": -1,

            "ModifierStacking": "Unique",

            "OnBeingHitPre":

            [

                {

                    "$type": "MoleMole.ModifyAttackDataAction",

                    "Target" : "Self",

                    "PropertyKey": "Actor_DamageTakeRatio", 

                    "PropertyValue": "%DamageTakeRatio", 

                    "Predicates":

                    [

                        {

                            "$type": "MoleMole.ByHitDataType",

                            "TheHitDataType": "Melee"

                        }

                    ]

                },

                //Block

                {

                    "$type":"MoleMole.ProcessModifierBlockAction",

                    "IsOpenBlock":true,

                    "AbilityName":"Card_DailyUse_1000912",

                    "ModifierName":"Controller"

                },

                {

                    "$type":"MoleMole.ProcessModifierBlockAction",

                    "IsOpenBlock":true,

                    "AbilityName":"Card_DailyUse_1000912",

                    "ModifierName":"ImmuneModifier"

                }

            ],

            "OnSwitchOutFinish": [

                {

                    "$type": "MoleMole.RemoveModifier",

                    "ModifierName": "ImmuneModifier",

                    "Target": "Self"

                }

            ]

		}

    },

    "AbilitySpecials" : 

    {

        //表格参数

        "DamageTakeRatio" :

        {

            "Value" : -0.9

        }

    }

}